Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Rotate multiple text survey elevations or points along curved feature line????

7 REPLIES 7
Reply
Message 1 of 8
aaron_cotney
439 Views, 7 Replies

Rotate multiple text survey elevations or points along curved feature line????

aaron_cotney
Contributor
Contributor

Hi,

Can anyone help me find a quicker way to rotate multiple text elevations from Topo survey data along a kerb? Feature line?

Currently, I have to rotate and move my text elevations individually to align with the kerb top and bottom in this instance.

attached image might help.

Thanks

Screenshot (25).png

0 Likes

Rotate multiple text survey elevations or points along curved feature line????

Hi,

Can anyone help me find a quicker way to rotate multiple text elevations from Topo survey data along a kerb? Feature line?

Currently, I have to rotate and move my text elevations individually to align with the kerb top and bottom in this instance.

attached image might help.

Thanks

Screenshot (25).png

7 REPLIES 7
Message 2 of 8
tcorey
in reply to: aaron_cotney

tcorey
Mentor
Mentor

If you don't mind laying an arc over the top of the feature line curve, this LISP will do what you ask.

 

You might want to modify your point label style so that Plan Readable is turned off.

(defun c:go ( / a rp pts ctr len pt ang )
(vl-load-com)

(setq a (vlax-ename->vla-object (car (entsel "\nSelect arc: "))))
(setq rp (vlax-get a 'Center))
(while (not (= (vlax-get a 'ObjectName) "AcDbArc"))
	(setq a (vlax-ename->vla-object (car (entsel "\nObject must be Arc. Try again: "))))
	)
	
(prompt "\nSelect COGO Points: ") 
(setq pts (ssget)
	  ctr 0
	  len (sslength pts))
	  (while (< ctr len)
			 (setq pt (vlax-ename->vla-object (ssname pts ctr)))
			 (if (= (vlax-get pt 'ObjectName) "AeccDbCogoPoint")
				(progn
					(setq ang (angle rp (vlax-get pt 'Location)))
					(vlax-put pt 'Rotation ang)
					(vlax-put pt 'LabelRotation ang)
					)
					)
			(setq ctr (1+ ctr))
			)
(princ)
)


Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut

If you don't mind laying an arc over the top of the feature line curve, this LISP will do what you ask.

 

You might want to modify your point label style so that Plan Readable is turned off.

(defun c:go ( / a rp pts ctr len pt ang )
(vl-load-com)

(setq a (vlax-ename->vla-object (car (entsel "\nSelect arc: "))))
(setq rp (vlax-get a 'Center))
(while (not (= (vlax-get a 'ObjectName) "AcDbArc"))
	(setq a (vlax-ename->vla-object (car (entsel "\nObject must be Arc. Try again: "))))
	)
	
(prompt "\nSelect COGO Points: ") 
(setq pts (ssget)
	  ctr 0
	  len (sslength pts))
	  (while (< ctr len)
			 (setq pt (vlax-ename->vla-object (ssname pts ctr)))
			 (if (= (vlax-get pt 'ObjectName) "AeccDbCogoPoint")
				(progn
					(setq ang (angle rp (vlax-get pt 'Location)))
					(vlax-put pt 'Rotation ang)
					(vlax-put pt 'LabelRotation ang)
					)
					)
			(setq ctr (1+ ctr))
			)
(princ)
)


Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut
Message 3 of 8
aaron_cotney
in reply to: tcorey

aaron_cotney
Contributor
Contributor

Thanks for the reply tim,

I will give that a go. My only issue is, the image was just small section example of the roadway im working on. How could i make the lisp work for the full length of my kerb line which is both curved and straight line in places?

 

thanks 

0 Likes

Thanks for the reply tim,

I will give that a go. My only issue is, the image was just small section example of the roadway im working on. How could i make the lisp work for the full length of my kerb line which is both curved and straight line in places?

 

thanks 

Message 4 of 8
tcorey
in reply to: aaron_cotney

tcorey
Mentor
Mentor

That's more difficult. If I get bored later, maybe I'll sit down again...

 

 



Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut
0 Likes

That's more difficult. If I get bored later, maybe I'll sit down again...

 

 



Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut
Message 5 of 8
Jeff_M
in reply to: aaron_cotney

Jeff_M
Consultant
Consultant
You may want to have a look at the Sincpac-C3D add-on package.
http://info.quuxsoft.com/SincpacC3D_Help/SP_RotateAligned.htm
Jeff_M, also a frequent Swamper
EESignature

You may want to have a look at the Sincpac-C3D add-on package.
http://info.quuxsoft.com/SincpacC3D_Help/SP_RotateAligned.htm
Jeff_M, also a frequent Swamper
EESignature
Message 6 of 8
TerryDotson
in reply to: aaron_cotney

TerryDotson
Mentor
Mentor

... work for the full length of my kerb line which is both curved and straight line in places?

Another third party add-on option, DotSoft's C3DTools will process a selection set of ElevationLabels and orient them in the direction of the underlying selected figures (polylines, featurelines, etc).  Before and after example:

 

capture.png

 

The same command lets you add ElevationLabels to a selection set of objects, convert existing node based geometry (inserts, points) to ElevationLabels, duplicate ElevationLabels on another surface, export to a file & import into another drawing, report highs, lows and other statistics of a selection set.

0 Likes


... work for the full length of my kerb line which is both curved and straight line in places?

Another third party add-on option, DotSoft's C3DTools will process a selection set of ElevationLabels and orient them in the direction of the underlying selected figures (polylines, featurelines, etc).  Before and after example:

 

capture.png

 

The same command lets you add ElevationLabels to a selection set of objects, convert existing node based geometry (inserts, points) to ElevationLabels, duplicate ElevationLabels on another surface, export to a file & import into another drawing, report highs, lows and other statistics of a selection set.

Message 7 of 8
cwr-pae
in reply to: aaron_cotney

cwr-pae
Mentor
Mentor

Can you cheat a little? If you use a feature line whose elevations match the points, you can label the elevation of the segment ends and have the labels rotated to match the 'feature' they label. There are some issues with not tangent intersections (line and curve, curve and curve) as well as line intersections if you try to bale start and end with a single label. If you only label the start of all segment in one style and use a different style only for the last segment to label the end of feature line it should be fairly simple. Short segments will wind up with overlapping labels even if they are rotated to perpendicular instead of parallels, which would also be an issue with all the other options suggested.

0 Likes

Can you cheat a little? If you use a feature line whose elevations match the points, you can label the elevation of the segment ends and have the labels rotated to match the 'feature' they label. There are some issues with not tangent intersections (line and curve, curve and curve) as well as line intersections if you try to bale start and end with a single label. If you only label the start of all segment in one style and use a different style only for the last segment to label the end of feature line it should be fairly simple. Short segments will wind up with overlapping labels even if they are rotated to perpendicular instead of parallels, which would also be an issue with all the other options suggested.

Message 8 of 8
lynn_zhang
in reply to: aaron_cotney

lynn_zhang
Community Manager
Community Manager

Hello @aaron_cotney ,

Just checking to see if your problem has been solved. Have you tried the suggestions from our experts above and did any of them work? If yes, please click on the "Accept as Solution" button in their reply so this helps other users in the community find the solution too. Thanks!





Lynn Zhang
Community Manager


0 Likes

Hello @aaron_cotney ,

Just checking to see if your problem has been solved. Have you tried the suggestions from our experts above and did any of them work? If yes, please click on the "Accept as Solution" button in their reply so this helps other users in the community find the solution too. Thanks!





Lynn Zhang
Community Manager


Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


Autodesk Design & Make Report